---
# Base Markdownlint configuration
# Extended Markdownlint configuration in doc/.markdownlint/
default: true
first-header-h1: true
header-style:
  style: "atx"
ul-style:
  style: "dash"
no-trailing-spaces: false
line-length: false
no-duplicate-header:
  allow_different_nesting: true
no-trailing-punctuation:
  punctuation: ".,;:!。，；：！？"
ol-prefix:
  style: "one"
no-inline-html: false
hr-style:
  style: "---"
no-emphasis-as-heading: false
first-line-h1: false
code-block-style:
  style: "fenced"
emphasis-style: false
link-fragments: false
reference-links-images: false
proper-names:
  names: [
    "Akismet",
    "Alertmanager",
    "AlmaLinux",
    "API",
    "Asana",
    "Auth0",
    "Azure",
    "Bamboo",
    "Bitbucket",
    "Bugzilla",
    "CAS",
    "CentOS",
    "Consul",
    "Debian",
    "DevOps",
    "Docker",
    "DockerSlim",
    "Elasticsearch",
    "Facebook",
    "fastlane",
    "fluent-plugin-redis-slowlog",
    "GDK",
    "Geo",
    "Git LFS",
    "git-annex",
    "git-credential-oauth",
    "git-sizer",
    "Git",
    "Gitaly",
    "GitHub",
    "GitLab Geo",
    "GitLab Monitor",
    "GitLab Operator",
    "GitLab Pages",
    "GitLab Rails",
    "GitLab Runner",
    "GitLab Shell",
    "GitLab Workhorse",
    "GitLab",
    "Gitleaks",
    "Gmail",
    "Google",
    "Grafana",
    "Gzip",
    "Helm",
    "HipChat",
    "ID",
    "Ingress",
    "jasmine-jquery",
    "JavaScript",
    "Jaeger",
    "Jenkins",
    "Jira",
    "Jira Cloud",
    "Jira Server",
    "jQuery",
    "JSON",
    "JupyterHub",
    "Karma",
    "Kerberos",
    "Knative",
    "Kubernetes",
    "LDAP",
    "Let's Encrypt",
    "Markdown",
    "markdownlint",
    "Mattermost",
    "Microsoft",
    "minikube",
    "MinIO",
    "ModSecurity",
    "NGINX Ingress",
    "NGINX",
    "OAuth",
    "OAuth 2",
    "OmniAuth",
    "OpenID",
    "OpenShift",
    "PgBouncer",
    "Postfix",
    "PostgreSQL",
    "PowerShell",
    "Praefect",
    "Prometheus",
    "Puma",
    "puma-worker-killer",
    "Python",
    "Rake",
    "Redis",
    "Redmine",
    "reCAPTCHA",
    "Ruby",
    "runit",
    "Salesforce",
    "SAML",
    "Sendmail",
    "Sentry",
    "Service Desk",
    "Sidekiq",
    "Shibboleth",
    "Slack",
    "SMTP",
    "SpotBugs",
    "SSH",
    "Tiller",
    "TOML",
    "Trello",
    "Trello Power-Ups",
    "TypeScript",
    "Twitter",
    "Ubuntu",
    "Ultra Auth",
    "Unicorn",
    "unicorn-worker-killer",
    "URL",
    "WebdriverIO",
    "Workload Identity Pool",
    "Workload Identity Provider",
    "YAML",
    "YouTrack"
  ]
  code_blocks: false
